import request from '@/utils/request';
// // 物品信息列表
// export async function getList(data) {
//   const res = await request.get(
//     `/main/category/getList?searchKey=${data.searchKey}&pageNum=${data.pageNum}&size=${data.size}&categoryLevelId=${data.categoryLevelId}`
//   );
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
// 物品信息列表
export async function getList(params) {
  const res = await request.get('/main/category/getList', { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 物品信息保存
export async function informationAdd(data) {
  const res = await request.post('/main/category/add', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 物品信息编辑
export async function informationEdit(data) {
  const res = await request.post('/main/category/edit', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 物品信息详情
export async function getDetails(id) {
  const res = await request.get(`/main/category/info/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 物品信息删除
export async function removeItem(id) {
  const res = await request.get(`/main/category/remove/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 物品信息获取编码
export async function getOrderNo(prefix) {
  const res = await request.get(`/main/category/createOrderNo/${prefix}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
